#include "app_confirm.h"
#include "ui_manager.h"

int app_confirm_handle_event(keyValue kval)
{
    int ret = 0;
    switch (kval)
    {
    case KEY_DATA_UP:
    case KEY_DATA_DOWN:
    case KEY_DATA_LEFT:
    case KEY_DATA_RIGHT:
        ui_manager_comp_switch_confirm_save_focus();
        break;
    
    case KEY_DATA_ENTER:
        ret = ui_manager_comp_get_confirm_save_result();
        break;
    
    default:
        break;
    }

    return ret;
}